Git development
 help / color / mirror / Atom feed
From: Jeff King <peff@peff.net>
To: Sean Brandt <sean@fuzzymagic.com>
Cc: git@vger.kernel.org
Subject: Re: Install on opensolaris 2008.05
Date: Sun, 17 Aug 2008 16:03:21 -0400	[thread overview]
Message-ID: <20080817200321.GA17785@sigill.intra.peff.net> (raw)
In-Reply-To: <7a675f570808170555ie640c86jb5561cc6f7b68c73@mail.gmail.com>

On Sun, Aug 17, 2008 at 08:55:57AM -0400, Sean Brandt wrote:

>  I'm installing on opensolaris 2008.05 and the tests fail in
> t0002-gitfile.sh  ( test numbers 2 and 3 ) is this expected/ok?

No, it's not expected nor ok (though it there is a reasonable chance it
is a portability problem in the test script, and not a real git
breakage).

What does

  make test GIT_TEST_OPTS="-v -i"

tell you?

>                 if ! grep -qe "Invalid gitfile format" .err

Just a guess, but I think Solaris grep doesn't understand "-q".

Does the patch below help?

---
diff --git a/t/t0002-gitfile.sh b/t/t0002-gitfile.sh
index 4db4ac4..e4970fe 100755
--- a/t/t0002-gitfile.sh
+++ b/t/t0002-gitfile.sh
@@ -32,7 +32,7 @@ test_expect_success 'bad setup: invalid .git file format' '
 		echo "git rev-parse accepted an invalid .git file"
 		false
 	fi &&
-	if ! grep -qe "Invalid gitfile format" .err
+	if ! grep -e "Invalid gitfile format" .err
 	then
 		echo "git rev-parse returned wrong error"
 		false
@@ -46,7 +46,7 @@ test_expect_success 'bad setup: invalid .git file path' '
 		echo "git rev-parse accepted an invalid .git file path"
 		false
 	fi &&
-	if ! grep -qe "Not a git repository" .err
+	if ! grep -e "Not a git repository" .err
 	then
 		echo "git rev-parse returned wrong error"
 		false

  reply	other threads:[~2008-08-17 20:04 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2008-08-17 12:55 Install on opensolaris 2008.05 Sean Brandt
2008-08-17 20:03 ` Jeff King [this message]
2008-08-17 20:50   ` Sean Brandt
2008-08-17 20:52     ` Pierre Habouzit

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20080817200321.GA17785@sigill.intra.peff.net \
    --to=peff@peff.net \
    --cc=git@vger.kernel.org \
    --cc=sean@fuzzymagic.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox